package net.minecraft.advancements.critereon;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.advancements.CriterionTriggerInstance;

public class AbstractCriterionTriggerInstance implements CriterionTriggerInstance {
    private final ResourceLocation criterion;
    
    public AbstractCriterionTriggerInstance(final ResourceLocation sm) {
        this.criterion = sm;
    }
    
    @Override
    public ResourceLocation getCriterion() {
        return this.criterion;
    }
    
    @Override
    public String toString() {
        return "AbstractCriterionInstance{criterion=" + this.criterion + '}';
    }
}
